Bug 1248104 - Cannot run simultaneously multiple VM's that use host devices of one host.
Cannot run simultaneously multiple VM's that use host devices of one host.
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
high Severity high (vote)
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Martin Betak
Israel Pinto
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 11:28 EDT by Martin Betak
Modified: 2016-02-10 14:24 EST (History)
9 users (show)

See Also:
Fixed In Version: 3.6.0-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 08:30:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44245 master MERGED backend: Fix Deadlock in multiple hostdev RunVmCommands Never
oVirt gerrit 44413 ovirt-engine-3.6 MERGED backend: Fix Deadlock in multiple hostdev RunVmCommands Never

  None (edit)
Description Martin Betak 2015-07-29 11:28:56 EDT
Description of problem:

HostDevice lock is not released when running multiple VMs that have configured devices of the same host.


Version-Release number of selected component (if applicable):
ovirt-engine-3.6

How reproducible:


Steps to Reproduce:
1. Have two VMs pinned to the same host. Configure some host devices for them.
2. In webadmin select both of them and press the "Run" button.

Actual results:

No VMs are run and log repeatedly outputs [org.ovirt.engine.core.bll.lock.InMemoryLockManager] (default task-109) [] Failed to acquire lock and wait lock 'EngineLock:{exclusiveLocks='[30067f58-01b0-44b4-95a6-6ec2930c10c7=<HOST_DEVICES, ACTION_TYPE_FAILED_OBJECT_LOCKED>]', sharedLocks='null'}'

and no futher runs of host-device VMs pinned on that host will have any effects, until the engine is restarted.


Expected results:
Multiple host-device VMs should run successfully.
Comment 1 Israel Pinto 2015-12-15 07:32:57 EST
Verify with:
RHEVM Version: 3.6.1.3-0.1.el6 
vdsm: vdsm-4.17.13-1.el7ev

Scenario:
1. Set 2 VMs with the same host device.
2. Both VMs pinned to same host(with the host device)
3. Run simultaneously 2 VMs
Results:
The deadlock is solve, I run 2 VMs simultaneously and only one VM is up. 
PASS
Comment 2 Sandro Bonazzola 2015-12-22 08:30:36 EST
oVirt 3.6.0 has been released and the bz verified, moving to closed current release.

Note You need to log in before you can comment on or make changes to this bug.